summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Hallas <david@davidhallas.dk>2019-09-22 10:29:16 +0200
committerJoonas Niilola <juippis@gentoo.org>2019-09-23 20:08:50 +0300
commit485c7139d228194cebc390b0aef95732c3836efb (patch)
treed76f4c2f48a4c8c9e6b9fbc6cb6b4e592fa4fe84 /dev-cpp
parentx11-misc/qt5ct: Add missing dev-qt/qtconcurrent dep (diff)
downloadgentoo-485c7139d228194cebc390b0aef95732c3836efb.tar.gz
gentoo-485c7139d228194cebc390b0aef95732c3836efb.tar.bz2
gentoo-485c7139d228194cebc390b0aef95732c3836efb.zip
dev-cpp/sourcetrail: Bump to 2019.3.46
Add ebuild for Sourcetrail 2019.3.46 No ebuild changes compared to 2019.2.39 Closes: https://bugs.gentoo.org/695388 Signed-off-by: David Hallas <david@davidhallas.dk> Closes: https://github.com/gentoo/gentoo/pull/13009 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/sourcetrail/Manifest1
-rw-r--r--dev-cpp/sourcetrail/sourcetrail-2019.3.46.ebuild92
2 files changed, 93 insertions, 0 deletions
diff --git a/dev-cpp/sourcetrail/Manifest b/dev-cpp/sourcetrail/Manifest
index 77c70263998..73d2c16a558 100644
--- a/dev-cpp/sourcetrail/Manifest
+++ b/dev-cpp/sourcetrail/Manifest
@@ -1,3 +1,4 @@
DIST sourcetrail-2018.3.55.tar.gz 74278615 BLAKE2B e046acfb90cdb495ff28c3dcf4530129cc569a0e9c481f127f656059f80575e4be22e9b63a8b6f00ffdac977ca930ad7a3c4d0e1aa7912af711150afbef03707 SHA512 b8fccc4bae55abf5c5a05418b37c665817c860cc27e314f8ccb69665a63b90ef68485c2395fc899f1112a05def8e95068d7a5c92db399f1d3f7a203a09107767
DIST sourcetrail-2019.1.11.tar.gz 76120891 BLAKE2B 865c8a510a544705e130e3ec7bc82f1e7ca16d4dee2fa27849dd3530a92a20ef47ed909765ac08c8106ee0e992e3b4a03e79ef7094fb1593c4088b7d8e356423 SHA512 9022873572aef796fcbacf079c37b916d645aacd1479cc79fcddbfd8c561d0004c97202c46812b60d8c539dae3d68bd805da101678ebd1518ce13c3e58009ac9
DIST sourcetrail-2019.2.39.tar.gz 84960185 BLAKE2B a515da1a0c6a061d7db843b9bef3b1d419fdbea361c4f5465d32a4a9bfc018575a334de739354de2e249facb7ea6d342329c445990173303fce4fb818da8131d SHA512 5603d7c2fe84c58a13dc682bad6bdbd807b15a9fd7c73c6633f8a7d9e051a660916b3a03b9a5244e2cb4243492586d555a98f0cc464f7405c02f36ef655c8959
+DIST sourcetrail-2019.3.46.tar.gz 108528120 BLAKE2B f36e4e2eb98c28a4d4aa245df3cbd2febd524a3370111d77cc79c2220e6a6227509c9fb9ba9c8d8e0d286719ab55a858adcaee4c983233ee72daebddb62c9467 SHA512 032e9299430c4333115ececedfeb85f39a374d14366c06130becb395a71fc43af9ad9ee09258c4a3ba2d0c2daa0997d5054ad48f0701654fe48eea055ebec666
diff --git a/dev-cpp/sourcetrail/sourcetrail-2019.3.46.ebuild b/dev-cpp/sourcetrail/sourcetrail-2019.3.46.ebuild
new file mode 100644
index 00000000000..3989b699749
--- /dev/null
+++ b/dev-cpp/sourcetrail/sourcetrail-2019.3.46.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop xdg-utils
+
+DESCRIPTION="A cross-platform source explorer for C/C++ and Java"
+HOMEPAGE="https://www.sourcetrail.com/"
+SRC_URI="https://www.sourcetrail.com/downloads/${PV}/linux/64bit -> ${P}.tar.gz"
+
+LICENSE="Sourcetrail || ( GPL-2 GPL-3 LGPL-3 ) BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples selinux"
+RESTRICT="mirror bindist"
+
+DEPEND="dev-util/patchelf"
+
+RDEPEND="
+ || (
+ dev-libs/openssl-compat:1.0.0
+ =dev-libs/openssl-1.0*:*
+ )
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libpng:1.2
+ sys-libs/libudev-compat
+ virtual/opengl
+ x11-libs/libdrm
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libxcb
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrender
+ x11-libs/libXxf86vm
+ selinux? ( sys-libs/libselinux )
+"
+
+S="${WORKDIR}/Sourcetrail"
+QA_PREBUILT="*"
+
+src_install() {
+ # This removes the rpath entries with $$ORIGIN
+ # since they trigger warnings when merging
+ for f in "Sourcetrail" "sourcetrail_indexer"; do
+ rpath=$(patchelf --print-rpath "${f}" 2>/dev/null)
+ new_rpath=${rpath//\$\$ORIGIN\/lib\/:/}
+ patchelf --set-rpath "${new_rpath}" "${f}" || die
+ done
+
+ # Remove bundled libraries
+ rm -f lib/libXi.so.6 lib/libXxf86vm.so.1 lib/libXrender.so.1 lib/libXfixes.so.3 lib/libXext.so.6 \
+ lib/libXdamage.so.1 lib/libxcb* lib/libXau.so.6 lib/libX11-xcb.so.1 lib/libX11.so.6 \
+ lib/libudev.so.0 lib/libEGL.so.1 lib/libgbm.so.1 lib/libglapi.so.0 lib/libGL.so.1 \
+ lib/libdrm.so.2 lib/libfontconfig.so.1 lib/libfreetype.so.6 lib/libcrypto.so lib/libssl.so \
+ lib/libpng12.so.0 lib/libselinux.so.1 || die
+ insinto /opt/sourcetrail
+ doins -r EULA.txt README data lib plugin
+ use examples && doins -r user
+ exeinto /opt/sourcetrail
+ doexe Sourcetrail sourcetrail_indexer Sourcetrail.sh resetPreferences.sh
+ into /opt
+ newbin - sourcetrail <<-EOF
+ #! /bin/sh
+ exec /opt/sourcetrail/Sourcetrail.sh "\$@"
+ EOF
+ local size
+ for size in 48 64 128 256 512; do
+ newicon -s "${size}" "setup/share/icons/hicolor/${size}x${size}/apps/sourcetrail.png" \
+ "sourcetrail.png"
+ done
+ sed -i -e 's|Exec=/usr/bin/sourcetrail|Exec=/opt/bin/sourcetrail|' \
+ -e 's/Utilities;//' "setup/share/applications/sourcetrail.desktop" \
+ "setup/share/applications/sourcetrail.desktop" || die
+ domenu "setup/share/applications/sourcetrail.desktop"
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+}